<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_d155d43a39de93f" . "858123c6b6ce31d8" . "a" => base64_decode("cHJlZ19tYXRj" . "aA=="), "_a827c5bc10b8" . "8ccab760d95c5" . "8bfbeaa" => base64_decode("Q291bGQgbm90IHBh" . "cnNlIHZhbHVlICI="), "_bd71c3b5c201fc11d" . "b82ed14ce424de5" => base64_decode("aW5fYXJ" . "yYXk="), "_ac927f41" . "68510971a" . "59508f1f0" . "8cf98a" => base64_decode("L15cZH" . "s4fSQv"), "_3aec16c1aa2104da" . "778e412207d6c415" => base64_decode("L15cZHsxNH" . "18XGR7OH0k" . "Lw=="), "_27ba77e349cbe144e" . "8794d0c0497a106" => base64_decode("IiBnaXZlbiBmb3I" . "gc2VsZWN0IGZpZW" . "xkIA=="), "_66a6b98e1f1601e" . "30de10feb344fcdb" . "6" => base64_decode("SW52YWxpZCB2YWx1Z" . "SAi"), "_dc99f29" . "eb97c274" . "b4e47f67" . "01fb2d84" . "2" => base64_decode("TWV0YW" . "RhdGEg" . "ZmllbG" . "Qg"), "_bb26699a673361ff7c17444a2a82deb" . "a" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZG9jdW1lbnQ" . "gbGluayBmaWVsZCA="), "_535e3fcb3f5d89c525bb618a" . "08cc8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW50IElEIG9yIGEgZG9jdW1lbnQgb2J" . "qZWN0"), "_a7fdbac2a6d0e" . "bb5bb8ea569e81" . "73d7b" => base64_decode("IiBmb3IgZGF" . "0ZSBmaWVsZC" . "A="), "_d013620d4b36b1d03509c" . "beff31bbdb9" => base64_decode("IiBnaXZlbi" . "Bmb3IgbnVt" . "ZXJpYyBmaW" . "VsZCA="), "_4b4a03dbe69a4c" . "39db014be2875a7" . "313" => base64_decode("Tm9uLW51bWVyaWMg" . "dmFsdWUgIg=="), "_2cb499b451eb718f841aaa78" . "dc70cc52" => base64_decode("IiBmb3IgZGF0Z" . "S10aW1lIGZpZW" . "xkIA=="), "_fa96cdf58bff3b0695fb2bc0803d7" . "b12" => base64_decode("IGRvZX" . "Mgbm90" . "IGV4aX" . "N0"), "_62d701c3" . "c53404f06" . "345eb3572" . "0a47b4" => base64_decode("aXNfbnVtZXJpYw" . "=="));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_dc99f29eb97c274b4e47f6701fb2d8" . "42"] . $key . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_fa96cdf58bff3" . "b0695fb2bc0803" . "d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_62d701c3c53404f06345" . "eb35720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4b4a03dbe69a4c39d" . "b014be2875a7313"] . $value . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d013620d4b36b1d035" . "09cbeff31bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_d155d43a39de93f" . "858123c6b6ce31d8" . "a"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_3aec16c1aa2104da778e41220" . "7d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_a827c5bc10" . "b88ccab760d" . "95c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2cb499b451eb718f841aaa78dc70" . "cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bd71c3b5c201f" . "c11db82ed14ce4" . "24de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_66a6b98e1f1601e30de10feb" . "344fcdb6"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_27ba77e349cbe14" . "4e8794d0c0497a10" . "6"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_62d701c3c53404f" . "06345eb35720a47b" . "4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_bb26699a" . "673361ff7" . "c17444a2a" . "82deba"] . $key . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_535e3fcb3f5d89c525bb618a08cc8dc" . "c"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d155d43a39de93f858" . "123c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_ac927f4168510971a59508f1f08cf98" . "a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a827c5bc10b88ccab760d95" . "c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_a7fdbac2a6d0ebb5b" . "b8ea569e8173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}